GNU bug report logs - #40247
27.0.90; mailcap-mime-data erased when parsing mime parts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juan José García Ripoll <juanjose.garcia.ripoll@HIDDEN>; Keywords: moreinfo fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 40247 <at> debbugs.gnu.org and Juan José García Ripoll <juanjose.garcia.ripoll@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 4 Aug 2020 08:36:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 04:36:13 2020
Received: from localhost ([127.0.0.1]:46729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2sQe-0002RF-Tx
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 04:36:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2sQd-0002Qz-7G
 for 40247 <at> debbugs.gnu.org; Tue, 04 Aug 2020 04:36:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=JkI4wJOoypRhNgty1OyUZRUn6syOXlTx2al/4RmHscE=; b=jaPTqVCte554qUmROPbBbpn3Ir
 ExSDMWmKOtcLcdyYoO4WuzN/s1jhg70nh5JPT3ldqQqzg9tI52qpYTPvojuHO5FlJuNq680YqpPrb
 VDKSALWCr3TcZzzbyfXpFPe+tL0hYR7McO4dihe+5viEwArOw0EK+Or2UiL6QclpFxqY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2sQM-0005kE-Gq; Tue, 04 Aug 2020 10:36:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa-Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
Subject: Re: bug#40247: 27.0.90; mailcap-mime-data erased when parsing mime
 parts
References: <86eete20ef.fsf@HIDDEN> <87tuxlmuvs.fsf@HIDDEN>
 <87pn89msta.fsf@HIDDEN> <863653eqr9.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 10:35:53 +0200
In-Reply-To: <863653eqr9.fsf@HIDDEN> ("Juan =?utf-8?Q?Jos=C3=A9_Garc?=
 =?utf-8?Q?=C3=ADa-Ripoll=22's?= message of
 "Mon, 03 Aug 2020 16:41:14 +0200")
Message-ID: <87d046u7ti.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Juan José García-Ripoll <juanjose.garcia.ripoll@HIDDEN>
    writes: > Seems to work now. At least it does not fail after the steps I
   > showed. OK; closing, then. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40247
Cc: 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juan Jos=C3=A9 Garc=C3=ADa-Ripoll <juanjose.garcia.ripoll@HIDDEN> writes:

> Seems to work now. At least it does not fail after the steps I
> showed.

OK; closing, then.

> Could this fix be backported to emacs-27? I cannot install emacs-27 if
> it is going to break my mail reading setup.

I'm a bit worried about backporting...  I mean, the current emacs-27
behaviour is clearly a bug, but I'm not sure that the emacs-28 behaviour
is exactly...  correct?  The mailcap parsing precedence has never been
explicitly defined, which reflects all these "well, that didn't work,
then" changes to the code base over the years.

So I think it would make sense to have these changes in Emacs 28 for a
while first to see whether it ruins somebody's setup before
backporting.  However, Emacs 27.1 is going to be released in a very
short time (allegedly), so these changes won't make it into that
release.  But perhaps into Emacs 27.2.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 3 Aug 2020 14:41:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 03 10:41:20 2020
Received: from localhost ([127.0.0.1]:45795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2beS-0007WX-4S
	for submit <at> debbugs.gnu.org; Mon, 03 Aug 2020 10:41:20 -0400
Received: from cel1.sgai.csic.es ([161.111.10.57]:57752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1k2beO-0007WL-Ue
 for 40247 <at> debbugs.gnu.org; Mon, 03 Aug 2020 10:41:18 -0400
IronPort-SDR: D7AfIdL0tNEZeKKgJYKt72MaGQRqJQB0rijz8KjW+qqse1OE/e0MQ/uDRz2OlXvd17HaslYmcu
 nfPeOZunZNqiQw8nACYlZHJ0NvS3psxANqh9W1WduHe3o54QYeTih18u66opLkh6o8YEfaxan5
 s50R3s/kYnSNzGOH95STtj26TbO6nrwI+6WrHQTmB5unh7Qajv7OeQb90L0jq+iTzEOoL68yJt
 ht5r7j1DN/KsJFmnKvh4xms0vqHSb+cJwq+tzrppcT8WmZTOVwUZyMO/Hb+9WTEk43Dnybcca5
 8u4=
IronPort-PHdr: =?us-ascii?q?9a23=3A41guFxSvMrczbOY0zN6y7WAcF9psv+yvbD5Q0Y?=
 =?us-ascii?q?Iujvd0So/mwa67ZBeGt8tkgFKBZ4jH8fUM07OQ7/m+HzNcqsjZ+Fk5M7V0Hy?=
 =?us-ascii?q?cfjssXmwFySOWkMmbcaMDQUiohAc5ZX0Vk9XzoeWJcGcL5ekGA6ibqtW1aFR?=
 =?us-ascii?q?rwLxd6KfroEYDOkcu3y/qy+5rOaAlUmTaxe7x/IAi3oAnLtMQbjoRuJ6ctxh?=
 =?us-ascii?q?DUvnZGZuNayH9yK1mOhRj8/MCw/JBi8yRUpf0s8tNLXLv5caolU7FWFSwqPG?=
 =?us-ascii?q?8p6sLlsxnDVhaP6WAHUmoKiBpIAhPK4w/8U5zsryb1rOt92C2dPc3rUbA5XC?=
 =?us-ascii?q?mp4ql3RBP0jioMKiU0+3/LhMNukK1boQqhpx1hzI7SfIGVL+d1cqfEcd8HWW?=
 =?us-ascii?q?ZNQsNdWipcCY2+coQPFfIMM+ZGoYfgqVsAoxmxCwqiC+zg1jBGiWT73bEj0+?=
 =?us-ascii?q?k7DQ3KwBYtEtAIvX/JrNv1LqASUeWtwafM0DXMdfVW0ir55ojPaRAmu+mDU7?=
 =?us-ascii?q?NqfsrL1UYoCRnKgkyMp4zkJzOV0eANs2yG5OdnV+KvlnQoqwdzojio3ccjlJ?=
 =?us-ascii?q?PFho0PxVDe6Sp5wZw6KceiSE56ed6kF59QtyWBOoRqWcMiQn1ntDwkxb0doJ?=
 =?us-ascii?q?O2ejUBx5s7yRDFcfOHb5SI7Qz5VOaXOTp1hXFodr2hihu880Ws1vHxW9eo3F?=
 =?us-ascii?q?tWsiZInNvBu3IJ2hHN68WKRfRz8Emg1DqS1g3f9+FKL0A6mKfaKJMswrA+m5?=
 =?us-ascii?q?wOukrNGS/2nV/5jK6Qdkg8+uin8P7oYq/8qpCCLI95jBz1PKc2msGnHOg0Lh?=
 =?us-ascii?q?ICU3WH9eigzrHu/lP1TK9Kg/EriqXUs43WKd4HqqKjAQJZyJsv5hi5Ajy7yt?=
 =?us-ascii?q?oXh2MHI0hAeB+fiojpPEzBL+7gAPekhlSsjC9rx/fbPr39GpnNLmbMkLPmfb?=
 =?us-ascii?q?tl8E5czRYzzche55JSEL0OPOnzWk7tu9DCEBA5KBS4w+fhCNpjyoMTQX+DDr?=
 =?us-ascii?q?ODPK/PrVOE+vgjLuqSaIMPuDvxNuAp5/v0gn84nV8dc7Op3ZwSaH2gHPRmPl?=
 =?us-ascii?q?+WYXzugtcGCmcFoBAyTOPwh12YTTFTZmy9U7gm5jE6EIKmCoPDRoS2jbOdxy?=
 =?us-ascii?q?e7H4FZanpYBVCXCXvobZmLW+8QaCKOJc9sijMJWaS/R4Iu1xyjrxL1xKR8Ie?=
 =?us-ascii?q?XP5y0Yuonj2MJ65+3ViBE+7zt0D96S02uVVWF7gnsIRyMq3KB4uUF9zk2M0b?=
 =?us-ascii?q?Jjg/xZDtFT6PVJUhohNZLGyOx6Ed/yCUr9eYKtQUy9CvSgDjw7VNM+38QDZQ?=
 =?us-ascii?q?4pH9y4lRHr0Cy3GPkSjbPdV7Iu9aeJ/WX4IY5fzG1H44YolVKjS451NHWhgq?=
 =?us-ascii?q?o3owrODojLlF6U0amjb68d1WjX9X+EyW6mt1pZW0h9SvOWDjgkekLKoIGhtQ?=
 =?us-ascii?q?v5RLi0BOFia1MZxA=3D=3D?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2G3DAApIShf/zNSZApgHAEBAQEBAQc?=
 =?us-ascii?q?BARIBAQQEAQFAB4FDgxmBM4Q1g0mLaY1Wg0qIEoRCCwEBAQ4bFAQBAYEFgz0?=
 =?us-ascii?q?BCQKCPCU4EwIDAQEBAwIFAQEBBQEBAQEBAQUDAQEBAoYMOQyCNykBgXSBM0M?=
 =?us-ascii?q?CAQMjVhALDQ0CBSECAg8BBEmDOrUigTIaAoNnhVOBBIEOKoFljCeBHIERgxA?=
 =?us-ascii?q?+h1OCYAS2DgeCZIJUhg2RKCGCagGBM40qHQOOEh2mGYZHhHWBaoF7M4N2CUc?=
 =?us-ascii?q?ZkxiJXXI3AgYBBwEBAwmQTgEB?=
X-IPAS-Result: =?us-ascii?q?A2G3DAApIShf/zNSZApgHAEBAQEBAQcBARIBAQQEAQFAB?=
 =?us-ascii?q?4FDgxmBM4Q1g0mLaY1Wg0qIEoRCCwEBAQ4bFAQBAYEFgz0BCQKCPCU4EwIDA?=
 =?us-ascii?q?QEBAwIFAQEBBQEBAQEBAQUDAQEBAoYMOQyCNykBgXSBM0MCAQMjVhALDQ0CB?=
 =?us-ascii?q?SECAg8BBEmDOrUigTIaAoNnhVOBBIEOKoFljCeBHIERgxA+h1OCYAS2DgeCZ?=
 =?us-ascii?q?IJUhg2RKCGCagGBM40qHQOOEh2mGYZHhHWBaoF7M4N2CUcZkxiJXXI3AgYBB?=
 =?us-ascii?q?wEBAwmQTgEB?=
X-IronPort-AV: E=Sophos;i="5.75,430,1589234400"; d="scan'208";a="33088066"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.51])
 by cel1.sgai.csic.es with ESMTP; 03 Aug 2020 16:41:14 +0200
Received: from DESKTOP-3A8AAJ0 (unknown [81.0.7.13])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id 85F1410BC6AC;
 Mon,  3 Aug 2020 16:41:14 +0200 (CEST)
From: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa-Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40247: 27.0.90;
 mailcap-mime-data erased when parsing mime parts
References: <86eete20ef.fsf@HIDDEN> <87tuxlmuvs.fsf@HIDDEN>
 <87pn89msta.fsf@HIDDEN>
Date: Mon, 03 Aug 2020 16:41:14 +0200
In-Reply-To: <87pn89msta.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 02 Aug 2020 09:05:05 +0200")
Message-ID: <863653eqr9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40247
Cc: 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Seems to work now. At least it does not fail after the steps I
showed.

Could this fix be backported to emacs-27? I cannot install emacs-27 if
it is going to break my mail reading setup.

--=20
Juan Jos=C3=A9 Garc=C3=ADa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 2 Aug 2020 07:05:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 03:05:27 2020
Received: from localhost ([127.0.0.1]:41539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k283j-00022W-EP
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 03:05:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k283f-00022D-Ow
 for 40247 <at> debbugs.gnu.org; Sun, 02 Aug 2020 03:05:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oVT3Gn4wjLvqzesxtWpqrFJRK3cZe2Xe1r07mNpvbJg=; b=hM79z0QUmfFY68/fuRSeA2XtmC
 dQKo11oTYnapE0XefqSw3fL8CV8q8ntJq9dgQL48ySXdQRoSMGbZjPvfWFbIVFIqPodpT/NhqzacL
 PqwRPdOip8d+ju2ytOVXvnGYQ+mUancZf3by4lz6YvSN/Q7MNZbpFhhl/zjRXk/rCTLQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k283P-0006Bk-22; Sun, 02 Aug 2020 09:05:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa_Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
Subject: Re: bug#40247: 27.0.90; mailcap-mime-data erased when parsing mime
 parts
References: <86eete20ef.fsf@HIDDEN> <87tuxlmuvs.fsf@HIDDEN>
Date: Sun, 02 Aug 2020 09:05:05 +0200
In-Reply-To: <87tuxlmuvs.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 02 Aug 2020 08:20:23 +0200")
Message-ID: <87pn89msta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I'll take a
 whack
 at implementing it that way and then see how that goes. I've now done so
 in Emacs 28.1. Could you try this and see if it works as expected now? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40247
Cc: 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'll take a whack at implementing it that way and then see how that goes.

I've now done so in Emacs 28.1.  Could you try this and see if it works
as expected now?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 2 Aug 2020 06:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 02:20:38 2020
Received: from localhost ([127.0.0.1]:41479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k27ML-0000tg-Uj
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 02:20:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k27MJ-0000tP-4T
 for 40247 <at> debbugs.gnu.org; Sun, 02 Aug 2020 02:20:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Enimg8Sa8Hz4EcJG1prylqUL+/hoVqz1vG6Au1bu338=; b=me/OBGqPu+9cObKye2c0K0Mz9Y
 7qokuf77n3pnz0e5H7bRtA43t86c8tDVMU3nG0EH4yhy239eXSQ2y9RBkiy8DN/SseSs1WNgsEYqI
 MeD+1BEBBP1wMIYzWTknLXO3Bn25xqCYiOw91Vg7v/8IlIgTrAQc5WBZ/EWthnbbCjwc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k27M8-0005iQ-Of; Sun, 02 Aug 2020 08:20:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa_Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
Subject: Re: bug#40247: 27.0.90; mailcap-mime-data erased when parsing mime
 parts
References: <86eete20ef.fsf@HIDDEN>
Date: Sun, 02 Aug 2020 08:20:23 +0200
In-Reply-To: <86eete20ef.fsf@HIDDEN> ("Juan =?utf-8?B?Sm9zw6kgR2FyY8Ot?=
 =?utf-8?B?YQ==?= Ripoll"'s message of
 "Thu, 26 Mar 2020 23:53:44 +0100")
Message-ID: <87tuxlmuvs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Juan José García Ripoll <juanjose.garcia.ripoll@HIDDEN>
    writes: > Symptoms: > - Start Emacs in a system without ~/.mailcap > - Launch
    Gnus > - Open an email / news that has some part in text/html > - mailcap-mime-data
    is erased and none of the default viewers are [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40247
Cc: 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juan Jos=C3=A9 Garc=C3=ADa Ripoll <juanjose.garcia.ripoll@HIDDEN> writes:

> Symptoms:
> - Start Emacs in a system without ~/.mailcap
> - Launch Gnus
> - Open an email / news that has some part in text/html
> - mailcap-mime-data is erased and none of the default viewers are
> available any more.
>
> The problem persits if Emacs is customized using mailcap-add

Oops.  This is all such a mess -- we have defaults coming from Emacs via
mailcap-mime-data, system defaults from /etc and user defaults from
~/.mailcap and mailcap-add...

The problem is that we don't keep track of where and how things are
added -- it's all just stored in mailcap-mime-data, and reconstructing
the precedence (for instance, when the user edits ~/.mailcap) is
impossible.

The fix I made in October is clearly wrong, but it basically works for
the basic (and common) "respect my ~/.mailcap" file case.

But I'm not quite sure how to go about fixing this bug...  Hm.  I think
perhaps we have to stop messing about with the mailcap-mime-data
variable when we compute the precedence.  So mailcap-parse-mailcaps
should heed all the files, and mailcap-mime-info, but store the computed
data in a new variable, that will then be consulted when trying to
determine what viewers to use.

I'll take a whack at implementing it that way and then see how that goes.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 28 Jun 2020 18:19:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 14:19:36 2020
Received: from localhost ([127.0.0.1]:46899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpbtv-0001oG-Ou
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 14:19:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpbtt-0001o0-LA
 for 40247 <at> debbugs.gnu.org; Sun, 28 Jun 2020 14:19:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45784)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpbtn-0005CU-PB; Sun, 28 Jun 2020 14:19:27 -0400
Received: from [176.228.60.248] (port=4724 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpbtm-00075w-Qe; Sun, 28 Jun 2020 14:19:27 -0400
Date: Sun, 28 Jun 2020 21:19:16 +0300
Message-Id: <83zh8n12aj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87imfbrsnk.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#40247: 27.0.90; mailcap-mime-data erased when parsing mime
 parts
References: <86eete20ef.fsf@HIDDEN> <87eepzundn.fsf@HIDDEN>
 <834kqv2jlb.fsf@HIDDEN> <87imfbrsnk.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40247
Cc: juanjose.garcia.ripoll@HIDDEN, 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: juanjose.garcia.ripoll@HIDDEN,  40247 <at> debbugs.gnu.org
> Date: Sun, 28 Jun 2020 18:45:19 +0100
> 
> > That might be too late: we hope to have the first RC this week or the
> > next.
> 
> That just means the bug won't be fixed until 27.2 or 28.1, right?

Could be, yes.

> Unfortunately my hands are completely tied until Thursday (I shouldn't
> even be writing this email!), and either way I think the fix will
> involve non-trivial code changes.

That's okay, the bug doesn't sound too bad to me.

> Should bug#39200 therefore be marked as no longer blocked by this?

I don't really mind, those blocking attributes are advisory only.
This bug has been open for many moons and no one seemed to care too
much, so I don't see how it could be really blocking.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 28 Jun 2020 17:45:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 13:45:32 2020
Received: from localhost ([127.0.0.1]:46881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpbMy-0000xO-6k
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:45:32 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:42281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jpbMt-0000x2-Tk
 for 40247 <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:45:30 -0400
Received: by mail-qk1-f171.google.com with SMTP id 145so10873336qke.9
 for <40247 <at> debbugs.gnu.org>; Sun, 28 Jun 2020 10:45:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bZJ6/NhXC9unAN87nGQQpBaDucsKBxYagfuTKCyysXE=;
 b=xA2NV5yLkoj/ePnaqGO/nH2Gobs/aYxZ1mJ3blqc7+r/O/0XtYaNZZJrf2uSbs7D7l
 EiXqaP6eSVnT6K/zoaskOm8UhMAjxdCeTuikfK+GSRiAYlYpwrXqqUYBzBLZWTioplvF
 RcuocUoL8BcmNDZ4vLqov7JxdQo1b5Z6X+Lyz/NLYDSjbE2X0Wi/FRhmpuVkF3/k//H1
 dc3d2UBu9ZwndMkAYk5tXCu7ZU2UxVpvToySjYw6bclJQzfq8xPERUzNkT1VjJpi4e5E
 abyn914OoFmEwPiXf/jmw8kfFIsNHiTrUBSbJcYAwJKWpb9hI5N8nnQxWjaluiU7vdb7
 8fcg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bZJ6/NhXC9unAN87nGQQpBaDucsKBxYagfuTKCyysXE=;
 b=j+KhH5xCcFSC6JXNAi2iGI197ocr9qZazx6OrnwbDncpGpharv77YKIKQ71UVIBYUk
 bc8+FoVvlzpUA+ARxmHkgstsinsuNSWSCfiaLYUW+NMMx2huAqr5og2HnBSj0L8bT0l1
 vgNVUwKwhAUeenny6QW7QP2BCPfPBXTyoD2tfNtS9FtYto5CPo6HYDeNqZXjLPNK0RKT
 +2iaJko6/XDxKZr27uDyh5Iv4i86aLNSpnTSBx4m2IbPLMI//9BdfAF0dn/g/EL7i0Q/
 Ibsly4ay3xXFvwOietPlUqkaxArAfZAtR/EErI+eEcPIW857vztENB4J6xCW8E+nukCj
 nWrg==
X-Gm-Message-State: AOAM533L6WWpEkQNvjE2fMhAMEbM2gcRhuKlDPB+6SxRomH1rI0vEV/J
 gfZ4uJUeLELQ35G1OQw62Jahbg==
X-Google-Smtp-Source: ABdhPJzaAAg9SAsByDpiBHjlGkF4VjehF6v52PPhpYZw1bOS5BB7LD7DAhQpzZP6Fn9NkuIPeh+MkQ==
X-Received: by 2002:a37:a907:: with SMTP id s7mr3581639qke.218.1593366322355; 
 Sun, 28 Jun 2020 10:45:22 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id o18sm6777932qkk.91.2020.06.28.10.45.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 28 Jun 2020 10:45:21 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40247: 27.0.90; mailcap-mime-data erased when parsing mime
 parts
References: <86eete20ef.fsf@HIDDEN> <87eepzundn.fsf@HIDDEN>
 <834kqv2jlb.fsf@HIDDEN>
Date: Sun, 28 Jun 2020 18:45:19 +0100
In-Reply-To: <834kqv2jlb.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 28 Jun
 2020 20:20:16 +0300")
Message-ID: <87imfbrsnk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40247
Cc: juanjose.garcia.ripoll@HIDDEN, 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: "Basil L. Contovounesios" <contovob@HIDDEN>
>> Date: Sun, 28 Jun 2020 18:11:00 +0100
>> Cc: 40247 <at> debbugs.gnu.org
>> 
>> I think this is a symptom of the fix for bug#36771, and therefore
>> affects systems with mailcap files as well.
>> 
>> Since it affects me too and block Emacs 27.1, I plan to look into it in
>> about a week's time if no-one beats me to it.
>
> That might be too late: we hope to have the first RC this week or the
> next.

That just means the bug won't be fixed until 27.2 or 28.1, right?

Unfortunately my hands are completely tied until Thursday (I shouldn't
even be writing this email!), and either way I think the fix will
involve non-trivial code changes.

Should bug#39200 therefore be marked as no longer blocked by this?

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 28 Jun 2020 17:20:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 13:20:36 2020
Received: from localhost ([127.0.0.1]:46868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpayq-0000Gd-7G
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:20:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpayn-0000GJ-9J
 for 40247 <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:20:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45218)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpayh-0006K6-M8; Sun, 28 Jun 2020 13:20:27 -0400
Received: from [176.228.60.248] (port=1083 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpayh-0006DP-6P; Sun, 28 Jun 2020 13:20:27 -0400
Date: Sun, 28 Jun 2020 20:20:16 +0300
Message-Id: <834kqv2jlb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87eepzundn.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#40247: 27.0.90;
 mailcap-mime-data erased when parsing mime parts
References: <86eete20ef.fsf@HIDDEN> <87eepzundn.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40247
Cc: juanjose.garcia.ripoll@HIDDEN, 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Date: Sun, 28 Jun 2020 18:11:00 +0100
> Cc: 40247 <at> debbugs.gnu.org
> 
> I think this is a symptom of the fix for bug#36771, and therefore
> affects systems with mailcap files as well.
> 
> Since it affects me too and block Emacs 27.1, I plan to look into it in
> about a week's time if no-one beats me to it.

That might be too late: we hope to have the first RC this week or the
next.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.

Message received at 40247 <at> debbugs.gnu.org:


Received: (at 40247) by debbugs.gnu.org; 28 Jun 2020 17:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 13:11:10 2020
Received: from localhost ([127.0.0.1]:46863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpapi-0008TL-AX
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:11:10 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:39537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jpapg-0008T7-6I
 for 40247 <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:11:09 -0400
Received: by mail-qv1-f51.google.com with SMTP id a14so6672486qvq.6
 for <40247 <at> debbugs.gnu.org>; Sun, 28 Jun 2020 10:11:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=wyAPBrte0vKXffHQDzWpnxz+WuQjeAAYj2w+2OwlJu0=;
 b=aX5X8HHJ1fbJaWk/9zUoWJhTjG986Lj2mcpR6qc5WJ7As+aFxL2NUZdZOwYisNkUd0
 7KrR5OGnuS+AQjqPXtwXRdOGhO7Oi57H+swXKaqdZsJaNv/1cluaM0HGTMhk1uuNGs1Q
 0iV/ATDxyH1+YQhKuUjFlmsdZEWKsrih6P4C9z3AdjBTQugM8qX8HOdozzsl/ezRPhOU
 07IY0AkQj+QTTybsUNe2gqP7KfzdBUzScxgpcuFal7Fm1++O4DId+AuIbv/GTs2VfY3/
 1YWtUA5INxWg7c0idCIp3YOpunTVOf5qldaqmc1Wl5qqYfwPxsN5UpRn8oISvElV1l0f
 4KTQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=wyAPBrte0vKXffHQDzWpnxz+WuQjeAAYj2w+2OwlJu0=;
 b=ShqeWDBMo7u6UnOAAe3PtpBwCPohwCv4MK76W2SWeGEd7elpdv8rtNQhZ0CJMTU91f
 ow89BHDszOQFzs6iWRF8qE5V3PpDH2qn30GO/DHAF7pj+5hSzPBTpbQuQNAgMlVU5hxF
 fYah29tbBmkgLxxwmH05G5aetd46s/MMKI9FLPoyebMQBp7qbh25e5c6WqlZjvsh9fgq
 m4zXbvCcGlZFndP7GRxJIoXR6s2S3n/bURVH+ksI6uGfzb8ZVC+xxoDtKtBX5hWdsYbP
 GZoIIcBNDxAM1AisBmPPhpNxVl/oi+ubRSEB2yYWDF12oQBGvNz22YGhe/PIMKD1KdbN
 aKDg==
X-Gm-Message-State: AOAM5320lugbqxVJIlMLNXK3XhhHZIIK81ix1gm4Kqwb+z786pZc99Ws
 Y5ET64ZhUGew3GJwAWQ7dTEaOw==
X-Google-Smtp-Source: ABdhPJyHu7Ka78uideQjkBwikbGd+AsUsMMUgIrkL7JrNTG8rGDdGVkD0UxI7Ld3jbU+ycFHm//9/A==
X-Received: by 2002:a0c:a8c6:: with SMTP id h6mr10380426qvc.65.1593364262449; 
 Sun, 28 Jun 2020 10:11:02 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id g5sm16149435qta.46.2020.06.28.10.11.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 28 Jun 2020 10:11:01 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Juan =?utf-8?Q?Jos=C3=A9_Garc=C3=ADa_Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
Subject: Re: bug#40247: 27.0.90; mailcap-mime-data erased when parsing mime
 parts
References: <86eete20ef.fsf@HIDDEN>
Date: Sun, 28 Jun 2020 18:11:00 +0100
In-Reply-To: <86eete20ef.fsf@HIDDEN> ("Juan =?utf-8?B?Sm9zw6kgR2FyY8Ot?=
 =?utf-8?B?YQ==?= Ripoll"'s message of
 "Thu, 26 Mar 2020 23:53:44 +0100")
Message-ID: <87eepzundn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40247
Cc: 40247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juan Jos=C3=A9 Garc=C3=ADa Ripoll <juanjose.garcia.ripoll@HIDDEN> writes:

> Symptoms:
> - Start Emacs in a system without ~/.mailcap
> - Launch Gnus
> - Open an email / news that has some part in text/html
> - mailcap-mime-data is erased and none of the default viewers are
> available any more.

I think this is a symptom of the fix for bug#36771, and therefore
affects systems with mailcap files as well.

Since it affects me too and block Emacs 27.1, I plan to look into it in
about a week's time if no-one beats me to it.

Thanks,

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.
Added indication that bug 40247 blocks39200 Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Mar 2020 22:54:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 26 18:54:02 2020
Received: from localhost ([127.0.0.1]:60336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHbNx-0004Eu-OE
	for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 18:54:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:54188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jHbNv-0004Ec-Ua
 for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 18:54:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34950)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jHbNu-0003Kd-2A
 for bug-gnu-emacs@HIDDEN; Thu, 26 Mar 2020 18:53:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.1 required=5.0 tests=AC_FROM_MANY_DOTS,BAYES_50,
 RCVD_IN_DNSWL_MED,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1jHbNs-0003Yn-CH
 for bug-gnu-emacs@HIDDEN; Thu, 26 Mar 2020 18:53:57 -0400
Received: from cel1.sgai.csic.es ([161.111.10.57]:14232)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <juanjose.garcia.ripoll@HIDDEN>)
 id 1jHbNs-0003Vs-1R
 for bug-gnu-emacs@HIDDEN; Thu, 26 Mar 2020 18:53:56 -0400
IronPort-SDR: 8MgztZdLB9H1E7MXLbR6Mz8AwCbdza/1w/B9GeG3O7dJ573ZSALxy7xicKSvHP3lWbBViYg9Jm
 ThXB6LHy8IStO/K6hxBEu7WJc85D1OUPxFWbBw1lxKUxTjD7BkNaWGMl6uYqEFk6tr0D90uTM9
 1UKfd8kp+sWyievplDd8KuV2UVlwL6TYCuTYoOih+NxTVCooFlIgONG/eCuLqcWPM4RP5VT4D1
 M7P+iHfV4uAAxvNgGzTJpvkRxbzeklrDR1/Xjg7viGGnKAGWB1zfAWWVPHbJKjg/3ONv9pWfBv
 RME=
IronPort-PHdr: =?us-ascii?q?9a23=3A9KN89BYblf5KCk76Acza1aX/LSx+4OfEezUN45?=
 =?us-ascii?q?9isYplN5qZr8u4bnLW6fgltlLVR4KTs6sC17OK9fm9BidZuc7JmUtBWaIPfi?=
 =?us-ascii?q?dNsd8RkQ0kDZzNImzAB9muURYHGt9fXkRu5XCxPBsdMs//Y1rPvi/6tmZKSV?=
 =?us-ascii?q?3wOgVvO+v6BJPZgdip2OCu4Z3TZBhDiCagbb9oIxi6sArcutMLjYZiKKs9xQ?=
 =?us-ascii?q?bFrmdUd+9L2W5mOFWfkgrz6cu34JNt6Tlbteg7985HX6X6fqA4QqJdAT87LW?=
 =?us-ascii?q?0759DluAfaQweX6XQSTmsZkhxTAwjY9x76RYv+sjH7tuVmxiaXO9D9QK0uVj?=
 =?us-ascii?q?Sj66drTwLoiDsCOjUk/mzbltB8gaRGqx+nuhdxwZPbYJuNOfR+YK3TYN0US2?=
 =?us-ascii?q?lOUclNWCJMGZ+8b5IVAuYdIepUs4vwql0TphW+HwmsA+bvxydMiH/rx6I61f?=
 =?us-ascii?q?wuHwXB3Aw7BdUBqHXao8/vNKgOT+e61rHHwynCb/NO3jf97IzIeQ0mrPGOQL?=
 =?us-ascii?q?J/a8zRyUsoFwPekFqcs4PlMCmP1usRsmiU9fBsVfiui24/rAFxpjyvy9wwhY?=
 =?us-ascii?q?nSh4Ia1krI+jtiwIssI9CzVUB1YdmhEJRKtiGaMZN7QswkQ2F1oio6zacGuZ?=
 =?us-ascii?q?GjcCgK05so3QTfZ+aZfIiT5B/oSeWfIS9giX54ZL6znQu+/VS8xuHmVcS4zk?=
 =?us-ascii?q?xGoypLn9XUtX0Bygbf5tSdRvdg5EutxCqD2gTV5+pZO047j7DbJIQkwrMok5?=
 =?us-ascii?q?oTtlnMETHulUXtia+Wal0k+u+16+T7ernmpoGTN4tzigzmKaQun9C/Afw5Mg?=
 =?us-ascii?q?gIRWSU5f+81Lz/8kHjXrpKleU6kqjfsJ/EOcQWvrO1DxNP3oo+9xqzEy2q3d?=
 =?us-ascii?q?cGkXUdLF9IdgqLj43zNFHPJPD4A+2/g1OpkDpzxfDGI6fuApPPLnjEi7fuY6?=
 =?us-ascii?q?xx60FGxwop0d9f5ohbBqsbIPLyQk/xs9jYDhsiPgOo2ObnCcly2pkAVmKUGq?=
 =?us-ascii?q?OZKr/dsUeU5uIzJOmBfJQauCvyK/Q86P7ui2I5lUYDcqmsx5QYdGu4E+9pI0?=
 =?us-ascii?q?WffHrgmNABEX0Fvll2cOu/gkCNFDFVejO/Wqs3/Rk0Dp/gCp3MFa63h7nU/j?=
 =?us-ascii?q?qyGKp0YXvHPX+FC3xtfrK+Wu8LbCbads18mzoGUqOsDYAozxqvvUngyqJgKu?=
 =?us-ascii?q?788TYZvtTuz44mtKXoiRgu+GksXIym2GaXQjQskw=3D=3D?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2EyDwBpMX1e/zVSZApmHAEBAQEBBwE?=
 =?us-ascii?q?BEQEEBAEBgXsCgXYFgRiBMYQag0iKewFjhHOIRoM7h3mCWYFnCgEBAQ4TFAg?=
 =?us-ascii?q?EAQECgQKDQIJWOBMCAwEBAQMCBQEBAQUBAQEBAQEEAwEBAQJtAQEHCgIBhE4?=
 =?us-ascii?q?hAQMHCgE3DEIBEAGBZyJ2fQEBAQEBAQEBAQEBAQEBAQEBAQEBFgINVCZsRgE?=
 =?us-ascii?q?3DQIFDxICEQE5AUAEgwAJgwuuKYEyGgKDYYFOhBmBBIEOKgGBZItIgRyBEYY?=
 =?us-ascii?q?2BBqBEAQBEQIBTCOCQ4JeBI1eCokomUcHgj+CKIU3jF2CTR2CTIECi1IcAxC?=
 =?us-ascii?q?ME5gkjkeESIFpgQpxM4ENgmwJRxhkhACJHAEOJAMBFoRLhBmFQnMCAQEHiEW?=
 =?us-ascii?q?EDiaCHQEB?=
X-IPAS-Result: =?us-ascii?q?A2EyDwBpMX1e/zVSZApmHAEBAQEBBwEBEQEEBAEBgXsCg?=
 =?us-ascii?q?XYFgRiBMYQag0iKewFjhHOIRoM7h3mCWYFnCgEBAQ4TFAgEAQECgQKDQIJWO?=
 =?us-ascii?q?BMCAwEBAQMCBQEBAQUBAQEBAQEEAwEBAQJtAQEHCgIBhE4hAQMHCgE3DEIBE?=
 =?us-ascii?q?AGBZyJ2fQEBAQEBAQEBAQEBAQEBAQEBAQEBFgINVCZsRgE3DQIFDxICEQE5A?=
 =?us-ascii?q?UAEgwAJgwuuKYEyGgKDYYFOhBmBBIEOKgGBZItIgRyBEYY2BBqBEAQBEQIBT?=
 =?us-ascii?q?COCQ4JeBI1eCokomUcHgj+CKIU3jF2CTR2CTIECi1IcAxCME5gkjkeESIFpg?=
 =?us-ascii?q?QpxM4ENgmwJRxhkhACJHAEOJAMBFoRLhBmFQnMCAQEHiEWEDiaCHQEB?=
X-IronPort-AV: E=Sophos;i="5.72,310,1580770800"; d="scan'208";a="37054321"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.53])
 by cel1.sgai.csic.es with ESMTP; 26 Mar 2020 23:53:52 +0100
Received: from DESKTOP-3A8AAJ0 (unknown [81.0.1.109])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id 53CAC10A8EC1
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Mar 2020 23:53:51 +0100 (CET)
From: =?utf-8?Q?Juan_Jos=C3=A9_Garc=C3=ADa_Ripoll?=
 <juanjose.garcia.ripoll@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.90; mailcap-mime-data erased when parsing mime parts
Date: Thu, 26 Mar 2020 23:53:44 +0100
Message-ID: <86eete20ef.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: FreeBSD 9.x [fuzzy]
X-Received-From: 161.111.10.57
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Symptoms:
- Start Emacs in a system without ~/.mailcap
- Launch Gnus
- Open an email / news that has some part in text/html
- mailcap-mime-data is erased and none of the default viewers are
available any more.

The problem persits if Emacs is customized using mailcap-add

Moreover, this deletion happens every time a mime part is decoded,
because, as shown in this commit
http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/net/mailcap.el?h=3De=
macs-27&id=3Da5a967b43dd2810635d7a06ea70510c4a8e5c10f
mailcap-mime-info involes mailcap-parse-mailcaps with "force" set to T
every time Emacs tries to compute the list of viewers associated to a
mime part -- does not matter whether the part is displayed inline or
externally; the mere visualization of the email causes mailcap-mime-data
to be erased.

This bug breaks systems that do not rely on .mailcap for defining
external viewers. In particular, it breaks systems that require
pdf-tools or doc-view to view certain attachments. It also deletes
Emacs' traditional association list betwee mime types and actions.


In GNU Emacs 27.0.90 (build 5, x86_64-w64-mingw32)
 of 2020-03-25 built on DESKTOP-3A8AAJ0
Repository revision: 4860530f3c130c6f854ea83dcc03f59e535a33ba
Repository branch: emacs-27
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Pro for Workstations (v10.0.1909.1=
8363.720)

Recent messages:
Loading c:/Users/juanj/OneDrive/Library/Emacs/init.el (source)...
Truncate long lines enabled
Loading dired...done
Loading sendmail...done
Loading gnus...done
Loading c:/Users/juanj/OneDrive/Library/Emacs/init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.


Configured using:
 'configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252

Major mode: Help

Minor modes in effect:
  ido-vertical-mode: t
  save-place-mode: t
  savehist-mode: t
  gcmh-mode: t
  override-global-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort vc-git diff-mode mailalias bbdb-mua bbdb-com crm bbdb
bbdb-site timezone org-mime ox-org org-protocol ox-reveal cl ox-odt
rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table
ox-ascii ox-publish ox org-element avl-tree generator org org-macro
org-footnote org-pcomplete pcomplete org-list org-faces org-entities
org-version ob-python ob ob-tangle org-src ob-ref ob-lob ob-table ob-exp
ob-comint comint ansi-color ring ob-emacs-lisp ob-core ob-eval org-table
ol org-keys org-compat org-macs org-loaddefs noutline outline face-remap
mail-extr warnings emacsbug message rmc puny format-spec rfc822 mml
mml-sec epa derived epg epg-config mailabbrev gmm-utils mailheader
eieio-opt speedbar sb-image ezimage dframe cal-menu calendar
cal-loaddefs thingatpt help-fns radix-tree benchmark-init-modes
mm-decode mm-bodies mm-encode mail-parse rfc2231 debug backtrace
find-func mailcap pcase ido-vertical-mode ido gnus-win gnus nnheader
gnus-util rmail rmail-loaddefs text-property-search time-date sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired
dired-loaddefs grayscale-theme saveplace savehist edmacro kmacro
cus-edit cus-start cus-load wid-edit benchmark-init advice gcmh diminish
cl-extra help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf tex-site info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table term/w32-win w32-win w32-vars term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads w32notify w32
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 406075 136288)
 (symbols 48 26199 18)
 (strings 32 147191 19372)
 (string-bytes 1 3986907)
 (vectors 16 49708)
 (vector-slots 8 1378984 300360)
 (floats 8 246 907)
 (intervals 56 690 197)
 (buffers 1000 16))

--=20
Juan Jos=C3=A9 Garc=C3=ADa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll




Acknowledgement sent to Juan José García Ripoll <juanjose.garcia.ripoll@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40247; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 08:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.